PTHREAD_BARRIERATTR(3)

NAME
pthread_barrierattr_init, pthread_barrierattr_destroy, - barrier attribute operations

LIBRARY
libpthread

SYNOPSIS
#include <pthread.h>
int
pthread_barrierattr_init(pthread_barrierattr_t *attr);
int
pthread_barrierattr_destroy(pthread_barrierattr_t *attr);

DESCRIPTION
Barrier attributes are used to specify parameters to pthread_barrier_init(). One attribute object can be used in multiple calls to pthread_barrier_init(), with or without modifications between calls.

The pthread_barrierattr_init() function initializes attr with all the default barrier attributes.

The pthread_barrierattr_destroy() function destroys attr.

RETURN VALUES
If successful, these functions return 0. Otherwise, an error number is returned to indicate the error.

ERRORS
pthread_barrierattr_init() shall fail if:

[ENOMEM]
    Insufficient memory exists to initialize the barrier attributes object.

pthread_barrierattr_init() may fail if:

[EINVAL]
    The value specified by attr is invalid.

pthread_barrierattr_destroy() may fail if:

[EINVAL]
    The value specified by attr is invalid

SEE ALSO
pthread_barrier_init(3)

STANDARDS
pthread_barrierattr_init() and pthread_barrierattr_destroy() conform to p1003.1-2001.